<div class="min-h-dvh overflow-hidden">
  <div class="relative pt-px -mt-px mb-0 w-contentsm mx-auto lg:w-contentxl">
    <!-- SP -->
    <img
      class="absolute w-[127px] h-[48px] left-[-245px]"
      src="/assets/images/sp.webp"
      alt=""
      draggable="false"
    />

    <!-- PTOP2 -->
    <div
      class="absolute h-[34px] left-[-36px] top-[47px] box-shadowed z-[1]"
      style="
        background: transparent url(/assets/images/ptop2.webp) repeat-x center
          bottom;
        width: calc(972px + ((100dvw - 972px) / 2) + 36px);
      "
    ></div>
    <!-- LOGO -->
    <img
      class="absolute w-[207px] h-[80px] lg:w-[296px] lg:h-[114px] left-[-14px] top-[4px] z-[1] cursor-pointer"
      src="/assets/images/logo.webp"
      alt="Logo Minitroopers"
      draggable="false"
      [routerLink]="['/']"
    />
    <!-- ARTHEAD -->
    <img
      class="hidden lg:block absolute w-[241px] h-[49px] left-[265px] lg:left-[365px] top-[8px] z-[1]"
      src="/assets/images/arthead.webp"
      alt=""
      draggable="false"
    />
    <!-- CAMERA -->
    <img
      class="absolute w-[195px] h-[96px] right-[10px] lg:right-auto lg:left-[765px] z-[1]"
      src="/assets/images/camera.webp"
      alt=""
      draggable="false"
    />
    <!-- PTOPLEFT -->
    <img
      class="hidden lg:block absolute w-[88px] h-[103px] left-[-115px] z-[1]"
      src="/assets/images/ptopleft.webp"
      alt=""
      draggable="false"
    />
    <!-- PLEFT -->
    <img
      class="absolute w-[40px] h-[370px] left-[-40px] z-[1]"
      src="/assets/images/pleft.webp"
      alt=""
      draggable="false"
    />
    <!-- PRIGHT -->
    <img
      class="absolute w-[95px] h-[536px] left-[971px] z-[1]"
      src="/assets/images/pright.webp"
      alt=""
      draggable="false"
    />
    <div class="border border-y-0 border-[#363c55] mt-20 box-shadowed">
      <div class="border-4 border-y-0 border-[#6f7da7]">
        <div
          class="relative border border-y-0 border-[#bdbdbd] min-h-[500px] bg-content bg-gradient pb-12"
          style="
            background: linear-gradient(
              180deg,
              rgb(224, 184, 115) 0%,
              rgb(242, 221, 184) 90px
            );
          "
        >
          <ng-content></ng-content>
        </div>
      </div>
    </div>

    <div class="relative pb-2">
      <!-- PBOTTOMLEFT -->
      <img
        class="absolute w-[51px] h-[103px] left-[-51px] top-[20px]"
        src="/assets/images/pbottomleft.webp"
        alt=""
        draggable="false"
      />
      <!-- MT -->
      <img
        class="absolute w-[236px] h-[73px] right-[10px] lg:right-auto lg:left-[794px] top-[52px]"
        src="/assets/images/mt.webp"
        alt=""
        draggable="false"
      />
      <!-- ARTMOUSE -->
      <img
        class="hidden lg:block absolute w-[69px] h-[34px] left-[50%] lg:left-[460px] top-[89px]"
        src="/assets/images/art_mouse.webp"
        alt=""
        draggable="false"
      />

      <div
        class="relative h-[83px] rounded-b-lg bg-[#4f597c] box-shadowed border border-t border-[#363c55]"
      >
        <!-- MORE GAME -->
        <!-- TRANSLATE IMAGE -->
        <img
          class="absolute w-[126px] h-[41px] left-[-2px] top-[-20px]"
          src="/assets/images/loc/moreg_fr.webp"
          alt=""
          draggable="false"
        />
        <!-- INDUS -->
        <div
          class="h-[15px]"
          style="background: url(/assets/images/dtop.webp) repeat-x left top"
        ></div>

        <div class="flex justify-center mt-[8px]">
          <ng-container *ngFor="let ad of ads; let isLast = last">
            <div
              class="relative w-[222px] text-white pl-3 pt-[3px] pb-[3px] cursor-pointer flex"
            >
              <div
                *ngIf="!isLast"
                class="absolute -right-1 w-px bg-slate-700 h-full top-0"
                style="box-shadow: 1px 1px #ffffff26"
              ></div>

              <div class="w-[60px] min-w-[60px]">
                <img
                  class="w-[50px] h-[45px] ml-[3px] border-white border-2"
                  [src]="ad.image"
                  [alt]="ad.title"
                  draggable="false"
                />
              </div>

              <div class="mt-[-5px]">
                <h2 class="text-sm">{{ ad.title }}</h2>
                <p class="text-xs">{{ ad.description }}</p>
              </div>
            </div>
          </ng-container>
        </div>
      </div>
    </div>

    <div
      class="text-sm text-gray-900"
      style="text-shadow: 0px 1px 0px rgba(253, 246, 213, 0.3)"
    >
      © 2024 EternalTwin - v0.0.1
    </div>
  </div>

  <!-- PBOTTOM -->
  <div
    class="h-[38px]"
    style="
      background: transparent url(/assets/images/pbottom.webp) repeat-x center
        bottom;
    "
  ></div>
</div>
